package core.stlmes.server.sale.po;
/**
 * 数据库表YDM_ZC_BILL_M所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2021-04-08
 */
public class YdmZcBillMNewEntity implements java.io.Serializable {
    /**
     * 提单序号
     */
    private String billNoSeq = "";
    /**
     * 提货单号
     */
    private String billNo = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同子行号
     */
    private String deliveryNo = "";
    /**
     * 发货计划号
     */
    private String sendPlanNo = "";
    /**
     * 装运点
     */
    private String vstelCode = "";
    /**
     * 装运点描述
     */
    private String vstelDesc = "";
    /**
     * 计划出厂方式(火车、汽车；船舶)
     */
    private String planTransType = "";
    /**
     * 出厂方式(火车、汽车；船舶)
     */
    private String actTransType = "";
    /**
     * 到站编码
     */
    private String stationNo = "";
    /**
     * 到站名称
     */
    private String stationNm = "";
    /**
     * 专用线编码
     */
    private String spclLnNo = "";
    /**
     * 专用线名称
     */
    private String spclLnNm = "";
    /**
     * 港口/码头
     */
    private String portNo = "";
    /**
     * 港口/码头描述
     */
    private String portDesc = "";
    /**
     * 交货点代码
     */
    private String delivyPlaceCode = "";
    /**
     * 交货点名称
     */
    private String delivyPlaceName = "";
    /**
     * 销售组织(国贸/钢贸/销售公司)
     */
    private String saleOrg = "";
    /**
     * 销售组织描述
     */
    private String saleOrgDesc = "";
    /**
     * 客户编码
     */
    private String customerNo = "";
    /**
     * 客户名称
     */
    private String customerNm = "";
    /**
     * 收货单位编码
     */
    private String receivNo = "";
    /**
     * 收货单位名称
     */
    private String receivNm = "";
    /**
     * 结算单位编码
     */
    private String stlmtUnitNo = "";
    /**
     * 结算单位名称
     */
    private String stlmtUnitNm = "";
    /**
     * 承运公司代码
     */
    private String carryCompanyCode = "";
    /**
     * 承运公司名称
     */
    private String carryCompanyName = "";
    /**
     * 品种分类(油井管;专业管;普管)
     */
    private String prdCls = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 计划开始时间
     */
    private String planStartTime = "";
    /**
     * 计划结束时间
     */
    private String planEndTime = "";
    /**
     * 实际开始时间
     */
    private String actStartTime = "";
    /**
     * 实际结束时间
     */
    private String actEndTime = "";
    /**
     * 计划重量
     */
    private String planWt = "";
    /**
     * 计划支数
     */
    private String planNum = "";
    /**
     * 计划总长度--废
     */
    private String planTotlLenTemp = "";
    /**
     * 实际发货重量
     */
    private String actWt = "";
    /**
     * 实际发货支数
     */
    private String actNum = "";
    /**
     * 实际发货总长度--废
     */
    private String actTotlLenTemp = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 提单状态（0/未下发、1下发、2、（保留）、3、执行、4关闭、5结算接收）
     */
    private String billStatus = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人(提单关闭人)
     */
    private String deleteName = "";
    /**
     * 删除时间（提单关闭时间）
     */
    private String deleteTime = "";
    /**
     * 提单类型（1实际、2虚拟)
     */
    private String loadvehicleType = "";
    /**
     * 首次受票人(国贸/钢贸/集团/客户)
     */
    private String fstDraweeUnit = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 代办标识
     */
    private String agencyFl = "";
    /**
     * 指定地址
     */
    private String receivAddr = "";
    /**
     * 交货地点
     */
    private String delvryAddr = "";
    /**
     * 自提标志（1自提、0无）
     */
    private String pickupFlag = "";
    /**
     * 作业部门代码
     */
    private String departmentCode = "";
    /**
     * 作业部门描述
     */
    private String departmentDesc = "";
    /**
     * 作业科室代码
     */
    private String managementNo = "";
    /**
     * 作业科室名称
     */
    private String managementName = "";
    /**
     * 虚单第一次封闭（'0'未封闭、‘1封闭、2、货款票据接收）
     */
    private String ispreclose = "";
    /**
     * 出库单打印时间
     */
    private String printFlag = "";
    /**
     * 出库单打印次数
     */
    private String printNum = "";
    /**
     * 提货单打印时间
     */
    private String printTime = "";
    /**
     * 提货单打印次数
     */
    private String printNumber = "";
    /**
     * "加客户库直接出库标志 1是，0否"
     */
    private String zoutFlag = "";
    /**
     * 真实发票号末次(二次）
     */
    private String realinvoiceno = "";
    /**
     * 真实发票号返回时间
     */
    private String realinvoicenoDate = "";
    /**
     * 真实发票号首次(一次）
     */
    private String realinvoiceno1 = "";
    /**
     * 结算日期（年月）例201510
     */
    private String balYearMonth = "";
    /**
     * 信用证号
     */
    private String creditNo = "";
    /**
     * 另加出库费（1是，0 否）
     */
    private String extraFlag = "";
    /**
     * 提单齐集状态，0初始，1确认齐集2结算接收
     */
    private String billTicketStatus = "";
    /**
     * 出库费齐集状态，0初始，1确认齐集2结算接收
     */
    private String outstockTicketStatus = "";
    /**
     * 运费齐集状态，0初始，1确认齐集2结算接收
     */
    private String transmnyTicketStatus = "";
    /**
     * 确认人
     */
    private String billTicketAffrimName = "";
    /**
     * 确认人
     */
    private String outstockTicketAffrimName = "";
    /**
     * 确认人
     */
    private String transmnyTicketAffrimName = "";
    /**
     * 确认时间
     */
    private String billTicketAffrimTime = "";
    /**
     * 确认时间
     */
    private String outstockTicketAffrimTime = "";
    /**
     * 确认时间
     */
    private String transmnyTicketAffrimTime = "";
    /**
     * 退货标志（1.退货发运，0.正常发运）
     */
    private String returnFlag = "";
    /**
     * 质保书打印状态（2，老系统打印，0，未打印，1打印）
     */
    private String zbsFlag = "";
    /**
     * 质保书打印次数
     */
    private String zbsNum = "";
    /**
     * 质保书打印时间
     */
    private String zbsTime = "";
    /**
     * 质保书
     */
    private String zbsName = "";
    /**
     * 质保书PDF存放路径
     */
    private String zbsPath = "";
    /**
     * 语言要求
     */
    private String askItemNo = "";
    /**
     * 公英制方式(0,英制PSI，1.公制,2,英制KSI)
     */
    private String metricSystem = "";
    /**
     * 项目号
     */
    private String itemNo = "";
    /**
     * 许可证号
     */
    private String licenseNo = "";
    /**
     * 订单号
     */
    private String singleNo = "";
    /**
     * 检验号
     */
    private String checkNo = "";
    /**
     * 质保书来源(1，产销出质保书 2，老系统出质保书,3,空)
     */
    private String zbsSource = "";
    /**
     * 计划总长度
     */
    private String planTotlLen = "";
    /**
     * 实际发货总长度
     */
    private String actTotlLen = "";
    /**
     * 质保书是否取长度
     */
    private String flagLen = "";
    /**
     * 是否结算(0 ,未结算 1已结算)
     */
    private String windUpFlag = "";
    /**
     * 提单是否锁定(0 未锁定 1已锁定)
     */
    private String lockBillFlag = "";
    /**
     * 制造商代码
     */
    private String supplyUnit = "";
    /**
     * 制造商名称
     */
    private String supplyUnitDesc = "";

    /**
     * 提单序号
     * @return value
     */
    public String getBillNoSeq() {
        return billNoSeq;
    }

    /**
     * 提单序号
     * @param billNoSeq value
     */
    public void setBillNoSeq(String billNoSeq) {
        this.billNoSeq = billNoSeq;
    }

    /**
     * 提货单号
     * @return value
     */
    public String getBillNo() {
        return billNo;
    }

    /**
     * 提货单号
     * @param billNo value
     */
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 合同子行号
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 发货计划号
     * @return value
     */
    public String getSendPlanNo() {
        return sendPlanNo;
    }

    /**
     * 发货计划号
     * @param sendPlanNo value
     */
    public void setSendPlanNo(String sendPlanNo) {
        this.sendPlanNo = sendPlanNo;
    }

    /**
     * 装运点
     * @return value
     */
    public String getVstelCode() {
        return vstelCode;
    }

    /**
     * 装运点
     * @param vstelCode value
     */
    public void setVstelCode(String vstelCode) {
        this.vstelCode = vstelCode;
    }

    /**
     * 装运点描述
     * @return value
     */
    public String getVstelDesc() {
        return vstelDesc;
    }

    /**
     * 装运点描述
     * @param vstelDesc value
     */
    public void setVstelDesc(String vstelDesc) {
        this.vstelDesc = vstelDesc;
    }

    /**
     * 计划出厂方式(火车、汽车；船舶)
     * @return value
     */
    public String getPlanTransType() {
        return planTransType;
    }

    /**
     * 计划出厂方式(火车、汽车；船舶)
     * @param planTransType value
     */
    public void setPlanTransType(String planTransType) {
        this.planTransType = planTransType;
    }

    /**
     * 出厂方式(火车、汽车；船舶)
     * @return value
     */
    public String getActTransType() {
        return actTransType;
    }

    /**
     * 出厂方式(火车、汽车；船舶)
     * @param actTransType value
     */
    public void setActTransType(String actTransType) {
        this.actTransType = actTransType;
    }

    /**
     * 到站编码
     * @return value
     */
    public String getStationNo() {
        return stationNo;
    }

    /**
     * 到站编码
     * @param stationNo value
     */
    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    /**
     * 到站名称
     * @return value
     */
    public String getStationNm() {
        return stationNm;
    }

    /**
     * 到站名称
     * @param stationNm value
     */
    public void setStationNm(String stationNm) {
        this.stationNm = stationNm;
    }

    /**
     * 专用线编码
     * @return value
     */
    public String getSpclLnNo() {
        return spclLnNo;
    }

    /**
     * 专用线编码
     * @param spclLnNo value
     */
    public void setSpclLnNo(String spclLnNo) {
        this.spclLnNo = spclLnNo;
    }

    /**
     * 专用线名称
     * @return value
     */
    public String getSpclLnNm() {
        return spclLnNm;
    }

    /**
     * 专用线名称
     * @param spclLnNm value
     */
    public void setSpclLnNm(String spclLnNm) {
        this.spclLnNm = spclLnNm;
    }

    /**
     * 港口/码头
     * @return value
     */
    public String getPortNo() {
        return portNo;
    }

    /**
     * 港口/码头
     * @param portNo value
     */
    public void setPortNo(String portNo) {
        this.portNo = portNo;
    }

    /**
     * 港口/码头描述
     * @return value
     */
    public String getPortDesc() {
        return portDesc;
    }

    /**
     * 港口/码头描述
     * @param portDesc value
     */
    public void setPortDesc(String portDesc) {
        this.portDesc = portDesc;
    }

    /**
     * 交货点代码
     * @return value
     */
    public String getDelivyPlaceCode() {
        return delivyPlaceCode;
    }

    /**
     * 交货点代码
     * @param delivyPlaceCode value
     */
    public void setDelivyPlaceCode(String delivyPlaceCode) {
        this.delivyPlaceCode = delivyPlaceCode;
    }

    /**
     * 交货点名称
     * @return value
     */
    public String getDelivyPlaceName() {
        return delivyPlaceName;
    }

    /**
     * 交货点名称
     * @param delivyPlaceName value
     */
    public void setDelivyPlaceName(String delivyPlaceName) {
        this.delivyPlaceName = delivyPlaceName;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @return value
     */
    public String getSaleOrg() {
        return saleOrg;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @param saleOrg value
     */
    public void setSaleOrg(String saleOrg) {
        this.saleOrg = saleOrg;
    }

    /**
     * 销售组织描述
     * @return value
     */
    public String getSaleOrgDesc() {
        return saleOrgDesc;
    }

    /**
     * 销售组织描述
     * @param saleOrgDesc value
     */
    public void setSaleOrgDesc(String saleOrgDesc) {
        this.saleOrgDesc = saleOrgDesc;
    }

    /**
     * 客户编码
     * @return value
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * 客户编码
     * @param customerNo value
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getCustomerNm() {
        return customerNm;
    }

    /**
     * 客户名称
     * @param customerNm value
     */
    public void setCustomerNm(String customerNm) {
        this.customerNm = customerNm;
    }

    /**
     * 收货单位编码
     * @return value
     */
    public String getReceivNo() {
        return receivNo;
    }

    /**
     * 收货单位编码
     * @param receivNo value
     */
    public void setReceivNo(String receivNo) {
        this.receivNo = receivNo;
    }

    /**
     * 收货单位名称
     * @return value
     */
    public String getReceivNm() {
        return receivNm;
    }

    /**
     * 收货单位名称
     * @param receivNm value
     */
    public void setReceivNm(String receivNm) {
        this.receivNm = receivNm;
    }

    /**
     * 结算单位编码
     * @return value
     */
    public String getStlmtUnitNo() {
        return stlmtUnitNo;
    }

    /**
     * 结算单位编码
     * @param stlmtUnitNo value
     */
    public void setStlmtUnitNo(String stlmtUnitNo) {
        this.stlmtUnitNo = stlmtUnitNo;
    }

    /**
     * 结算单位名称
     * @return value
     */
    public String getStlmtUnitNm() {
        return stlmtUnitNm;
    }

    /**
     * 结算单位名称
     * @param stlmtUnitNm value
     */
    public void setStlmtUnitNm(String stlmtUnitNm) {
        this.stlmtUnitNm = stlmtUnitNm;
    }

    /**
     * 承运公司代码
     * @return value
     */
    public String getCarryCompanyCode() {
        return carryCompanyCode;
    }

    /**
     * 承运公司代码
     * @param carryCompanyCode value
     */
    public void setCarryCompanyCode(String carryCompanyCode) {
        this.carryCompanyCode = carryCompanyCode;
    }

    /**
     * 承运公司名称
     * @return value
     */
    public String getCarryCompanyName() {
        return carryCompanyName;
    }

    /**
     * 承运公司名称
     * @param carryCompanyName value
     */
    public void setCarryCompanyName(String carryCompanyName) {
        this.carryCompanyName = carryCompanyName;
    }

    /**
     * 品种分类(油井管;专业管;普管)
     * @return value
     */
    public String getPrdCls() {
        return prdCls;
    }

    /**
     * 品种分类(油井管;专业管;普管)
     * @param prdCls value
     */
    public void setPrdCls(String prdCls) {
        this.prdCls = prdCls;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 计划开始时间
     * @return value
     */
    public String getPlanStartTime() {
        return planStartTime;
    }

    /**
     * 计划开始时间
     * @param planStartTime value
     */
    public void setPlanStartTime(String planStartTime) {
        this.planStartTime = planStartTime;
    }

    /**
     * 计划结束时间
     * @return value
     */
    public String getPlanEndTime() {
        return planEndTime;
    }

    /**
     * 计划结束时间
     * @param planEndTime value
     */
    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    /**
     * 实际开始时间
     * @return value
     */
    public String getActStartTime() {
        return actStartTime;
    }

    /**
     * 实际开始时间
     * @param actStartTime value
     */
    public void setActStartTime(String actStartTime) {
        this.actStartTime = actStartTime;
    }

    /**
     * 实际结束时间
     * @return value
     */
    public String getActEndTime() {
        return actEndTime;
    }

    /**
     * 实际结束时间
     * @param actEndTime value
     */
    public void setActEndTime(String actEndTime) {
        this.actEndTime = actEndTime;
    }

    /**
     * 计划重量
     * @return value
     */
    public String getPlanWt() {
        return planWt;
    }

    /**
     * 计划重量
     * @param planWt value
     */
    public void setPlanWt(String planWt) {
        this.planWt = planWt;
    }

    /**
     * 计划支数
     * @return value
     */
    public String getPlanNum() {
        return planNum;
    }

    /**
     * 计划支数
     * @param planNum value
     */
    public void setPlanNum(String planNum) {
        this.planNum = planNum;
    }

    /**
     * 计划总长度--废
     * @return value
     */
    public String getPlanTotlLenTemp() {
        return planTotlLenTemp;
    }

    /**
     * 计划总长度--废
     * @param planTotlLenTemp value
     */
    public void setPlanTotlLenTemp(String planTotlLenTemp) {
        this.planTotlLenTemp = planTotlLenTemp;
    }

    /**
     * 实际发货重量
     * @return value
     */
    public String getActWt() {
        return actWt;
    }

    /**
     * 实际发货重量
     * @param actWt value
     */
    public void setActWt(String actWt) {
        this.actWt = actWt;
    }

    /**
     * 实际发货支数
     * @return value
     */
    public String getActNum() {
        return actNum;
    }

    /**
     * 实际发货支数
     * @param actNum value
     */
    public void setActNum(String actNum) {
        this.actNum = actNum;
    }

    /**
     * 实际发货总长度--废
     * @return value
     */
    public String getActTotlLenTemp() {
        return actTotlLenTemp;
    }

    /**
     * 实际发货总长度--废
     * @param actTotlLenTemp value
     */
    public void setActTotlLenTemp(String actTotlLenTemp) {
        this.actTotlLenTemp = actTotlLenTemp;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 提单状态（0/未下发、1下发、2、（保留）、3、执行、4关闭、5结算接收）
     * @return value
     */
    public String getBillStatus() {
        return billStatus;
    }

    /**
     * 提单状态（0/未下发、1下发、2、（保留）、3、执行、4关闭、5结算接收）
     * @param billStatus value
     */
    public void setBillStatus(String billStatus) {
        this.billStatus = billStatus;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人(提单关闭人)
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人(提单关闭人)
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间（提单关闭时间）
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间（提单关闭时间）
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 提单类型（1实际、2虚拟)
     * @return value
     */
    public String getLoadvehicleType() {
        return loadvehicleType;
    }

    /**
     * 提单类型（1实际、2虚拟)
     * @param loadvehicleType value
     */
    public void setLoadvehicleType(String loadvehicleType) {
        this.loadvehicleType = loadvehicleType;
    }

    /**
     * 首次受票人(国贸/钢贸/集团/客户)
     * @return value
     */
    public String getFstDraweeUnit() {
        return fstDraweeUnit;
    }

    /**
     * 首次受票人(国贸/钢贸/集团/客户)
     * @param fstDraweeUnit value
     */
    public void setFstDraweeUnit(String fstDraweeUnit) {
        this.fstDraweeUnit = fstDraweeUnit;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 代办标识
     * @return value
     */
    public String getAgencyFl() {
        return agencyFl;
    }

    /**
     * 代办标识
     * @param agencyFl value
     */
    public void setAgencyFl(String agencyFl) {
        this.agencyFl = agencyFl;
    }

    /**
     * 指定地址
     * @return value
     */
    public String getReceivAddr() {
        return receivAddr;
    }

    /**
     * 指定地址
     * @param receivAddr value
     */
    public void setReceivAddr(String receivAddr) {
        this.receivAddr = receivAddr;
    }

    /**
     * 交货地点
     * @return value
     */
    public String getDelvryAddr() {
        return delvryAddr;
    }

    /**
     * 交货地点
     * @param delvryAddr value
     */
    public void setDelvryAddr(String delvryAddr) {
        this.delvryAddr = delvryAddr;
    }

    /**
     * 自提标志（1自提、0无）
     * @return value
     */
    public String getPickupFlag() {
        return pickupFlag;
    }

    /**
     * 自提标志（1自提、0无）
     * @param pickupFlag value
     */
    public void setPickupFlag(String pickupFlag) {
        this.pickupFlag = pickupFlag;
    }

    /**
     * 作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * 作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * 作业部门描述
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * 作业部门描述
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * 作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * 作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * 作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * 作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    /**
     * 虚单第一次封闭（'0'未封闭、‘1封闭、2、货款票据接收）
     * @return value
     */
    public String getIspreclose() {
        return ispreclose;
    }

    /**
     * 虚单第一次封闭（'0'未封闭、‘1封闭、2、货款票据接收）
     * @param ispreclose value
     */
    public void setIspreclose(String ispreclose) {
        this.ispreclose = ispreclose;
    }

    /**
     * 出库单打印时间
     * @return value
     */
    public String getPrintFlag() {
        return printFlag;
    }

    /**
     * 出库单打印时间
     * @param printFlag value
     */
    public void setPrintFlag(String printFlag) {
        this.printFlag = printFlag;
    }

    /**
     * 出库单打印次数
     * @return value
     */
    public String getPrintNum() {
        return printNum;
    }

    /**
     * 出库单打印次数
     * @param printNum value
     */
    public void setPrintNum(String printNum) {
        this.printNum = printNum;
    }

    /**
     * 提货单打印时间
     * @return value
     */
    public String getPrintTime() {
        return printTime;
    }

    /**
     * 提货单打印时间
     * @param printTime value
     */
    public void setPrintTime(String printTime) {
        this.printTime = printTime;
    }

    /**
     * 提货单打印次数
     * @return value
     */
    public String getPrintNumber() {
        return printNumber;
    }

    /**
     * 提货单打印次数
     * @param printNumber value
     */
    public void setPrintNumber(String printNumber) {
        this.printNumber = printNumber;
    }

    /**
     * "加客户库直接出库标志 1是，0否"
     * @return value
     */
    public String getZoutFlag() {
        return zoutFlag;
    }

    /**
     * "加客户库直接出库标志 1是，0否"
     * @param zoutFlag value
     */
    public void setZoutFlag(String zoutFlag) {
        this.zoutFlag = zoutFlag;
    }

    /**
     * 真实发票号末次(二次）
     * @return value
     */
    public String getRealinvoiceno() {
        return realinvoiceno;
    }

    /**
     * 真实发票号末次(二次）
     * @param realinvoiceno value
     */
    public void setRealinvoiceno(String realinvoiceno) {
        this.realinvoiceno = realinvoiceno;
    }

    /**
     * 真实发票号返回时间
     * @return value
     */
    public String getRealinvoicenoDate() {
        return realinvoicenoDate;
    }

    /**
     * 真实发票号返回时间
     * @param realinvoicenoDate value
     */
    public void setRealinvoicenoDate(String realinvoicenoDate) {
        this.realinvoicenoDate = realinvoicenoDate;
    }

    /**
     * 真实发票号首次(一次）
     * @return value
     */
    public String getRealinvoiceno1() {
        return realinvoiceno1;
    }

    /**
     * 真实发票号首次(一次）
     * @param realinvoiceno1 value
     */
    public void setRealinvoiceno1(String realinvoiceno1) {
        this.realinvoiceno1 = realinvoiceno1;
    }

    /**
     * 结算日期（年月）例201510
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）例201510
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 信用证号
     * @return value
     */
    public String getCreditNo() {
        return creditNo;
    }

    /**
     * 信用证号
     * @param creditNo value
     */
    public void setCreditNo(String creditNo) {
        this.creditNo = creditNo;
    }

    /**
     * 另加出库费（1是，0 否）
     * @return value
     */
    public String getExtraFlag() {
        return extraFlag;
    }

    /**
     * 另加出库费（1是，0 否）
     * @param extraFlag value
     */
    public void setExtraFlag(String extraFlag) {
        this.extraFlag = extraFlag;
    }

    /**
     * 提单齐集状态，0初始，1确认齐集2结算接收
     * @return value
     */
    public String getBillTicketStatus() {
        return billTicketStatus;
    }

    /**
     * 提单齐集状态，0初始，1确认齐集2结算接收
     * @param billTicketStatus value
     */
    public void setBillTicketStatus(String billTicketStatus) {
        this.billTicketStatus = billTicketStatus;
    }

    /**
     * 出库费齐集状态，0初始，1确认齐集2结算接收
     * @return value
     */
    public String getOutstockTicketStatus() {
        return outstockTicketStatus;
    }

    /**
     * 出库费齐集状态，0初始，1确认齐集2结算接收
     * @param outstockTicketStatus value
     */
    public void setOutstockTicketStatus(String outstockTicketStatus) {
        this.outstockTicketStatus = outstockTicketStatus;
    }

    /**
     * 运费齐集状态，0初始，1确认齐集2结算接收
     * @return value
     */
    public String getTransmnyTicketStatus() {
        return transmnyTicketStatus;
    }

    /**
     * 运费齐集状态，0初始，1确认齐集2结算接收
     * @param transmnyTicketStatus value
     */
    public void setTransmnyTicketStatus(String transmnyTicketStatus) {
        this.transmnyTicketStatus = transmnyTicketStatus;
    }

    /**
     * 确认人
     * @return value
     */
    public String getBillTicketAffrimName() {
        return billTicketAffrimName;
    }

    /**
     * 确认人
     * @param billTicketAffrimName value
     */
    public void setBillTicketAffrimName(String billTicketAffrimName) {
        this.billTicketAffrimName = billTicketAffrimName;
    }

    /**
     * 确认人
     * @return value
     */
    public String getOutstockTicketAffrimName() {
        return outstockTicketAffrimName;
    }

    /**
     * 确认人
     * @param outstockTicketAffrimName value
     */
    public void setOutstockTicketAffrimName(String outstockTicketAffrimName) {
        this.outstockTicketAffrimName = outstockTicketAffrimName;
    }

    /**
     * 确认人
     * @return value
     */
    public String getTransmnyTicketAffrimName() {
        return transmnyTicketAffrimName;
    }

    /**
     * 确认人
     * @param transmnyTicketAffrimName value
     */
    public void setTransmnyTicketAffrimName(String transmnyTicketAffrimName) {
        this.transmnyTicketAffrimName = transmnyTicketAffrimName;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getBillTicketAffrimTime() {
        return billTicketAffrimTime;
    }

    /**
     * 确认时间
     * @param billTicketAffrimTime value
     */
    public void setBillTicketAffrimTime(String billTicketAffrimTime) {
        this.billTicketAffrimTime = billTicketAffrimTime;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getOutstockTicketAffrimTime() {
        return outstockTicketAffrimTime;
    }

    /**
     * 确认时间
     * @param outstockTicketAffrimTime value
     */
    public void setOutstockTicketAffrimTime(String outstockTicketAffrimTime) {
        this.outstockTicketAffrimTime = outstockTicketAffrimTime;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getTransmnyTicketAffrimTime() {
        return transmnyTicketAffrimTime;
    }

    /**
     * 确认时间
     * @param transmnyTicketAffrimTime value
     */
    public void setTransmnyTicketAffrimTime(String transmnyTicketAffrimTime) {
        this.transmnyTicketAffrimTime = transmnyTicketAffrimTime;
    }

    /**
     * 退货标志（1.退货发运，0.正常发运）
     * @return value
     */
    public String getReturnFlag() {
        return returnFlag;
    }

    /**
     * 退货标志（1.退货发运，0.正常发运）
     * @param returnFlag value
     */
    public void setReturnFlag(String returnFlag) {
        this.returnFlag = returnFlag;
    }

    /**
     * 质保书打印状态（2，老系统打印，0，未打印，1打印）
     * @return value
     */
    public String getZbsFlag() {
        return zbsFlag;
    }

    /**
     * 质保书打印状态（2，老系统打印，0，未打印，1打印）
     * @param zbsFlag value
     */
    public void setZbsFlag(String zbsFlag) {
        this.zbsFlag = zbsFlag;
    }

    /**
     * 质保书打印次数
     * @return value
     */
    public String getZbsNum() {
        return zbsNum;
    }

    /**
     * 质保书打印次数
     * @param zbsNum value
     */
    public void setZbsNum(String zbsNum) {
        this.zbsNum = zbsNum;
    }

    /**
     * 质保书打印时间
     * @return value
     */
    public String getZbsTime() {
        return zbsTime;
    }

    /**
     * 质保书打印时间
     * @param zbsTime value
     */
    public void setZbsTime(String zbsTime) {
        this.zbsTime = zbsTime;
    }

    /**
     * 质保书
     * @return value
     */
    public String getZbsName() {
        return zbsName;
    }

    /**
     * 质保书
     * @param zbsName value
     */
    public void setZbsName(String zbsName) {
        this.zbsName = zbsName;
    }

    /**
     * 质保书PDF存放路径
     * @return value
     */
    public String getZbsPath() {
        return zbsPath;
    }

    /**
     * 质保书PDF存放路径
     * @param zbsPath value
     */
    public void setZbsPath(String zbsPath) {
        this.zbsPath = zbsPath;
    }

    /**
     * 语言要求
     * @return value
     */
    public String getAskItemNo() {
        return askItemNo;
    }

    /**
     * 语言要求
     * @param askItemNo value
     */
    public void setAskItemNo(String askItemNo) {
        this.askItemNo = askItemNo;
    }

    /**
     * 公英制方式(0,英制PSI，1.公制,2,英制KSI)
     * @return value
     */
    public String getMetricSystem() {
        return metricSystem;
    }

    /**
     * 公英制方式(0,英制PSI，1.公制,2,英制KSI)
     * @param metricSystem value
     */
    public void setMetricSystem(String metricSystem) {
        this.metricSystem = metricSystem;
    }

    /**
     * 项目号
     * @return value
     */
    public String getItemNo() {
        return itemNo;
    }

    /**
     * 项目号
     * @param itemNo value
     */
    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    /**
     * 许可证号
     * @return value
     */
    public String getLicenseNo() {
        return licenseNo;
    }

    /**
     * 许可证号
     * @param licenseNo value
     */
    public void setLicenseNo(String licenseNo) {
        this.licenseNo = licenseNo;
    }

    /**
     * 订单号
     * @return value
     */
    public String getSingleNo() {
        return singleNo;
    }

    /**
     * 订单号
     * @param singleNo value
     */
    public void setSingleNo(String singleNo) {
        this.singleNo = singleNo;
    }

    /**
     * 检验号
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验号
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * 质保书来源(1，产销出质保书 2，老系统出质保书,3,空)
     * @return value
     */
    public String getZbsSource() {
        return zbsSource;
    }

    /**
     * 质保书来源(1，产销出质保书 2，老系统出质保书,3,空)
     * @param zbsSource value
     */
    public void setZbsSource(String zbsSource) {
        this.zbsSource = zbsSource;
    }

    /**
     * 计划总长度
     * @return value
     */
    public String getPlanTotlLen() {
        return planTotlLen;
    }

    /**
     * 计划总长度
     * @param planTotlLen value
     */
    public void setPlanTotlLen(String planTotlLen) {
        this.planTotlLen = planTotlLen;
    }

    /**
     * 实际发货总长度
     * @return value
     */
    public String getActTotlLen() {
        return actTotlLen;
    }

    /**
     * 实际发货总长度
     * @param actTotlLen value
     */
    public void setActTotlLen(String actTotlLen) {
        this.actTotlLen = actTotlLen;
    }

    /**
     * 质保书是否取长度
     * @return value
     */
    public String getFlagLen() {
        return flagLen;
    }

    /**
     * 质保书是否取长度
     * @param flagLen value
     */
    public void setFlagLen(String flagLen) {
        this.flagLen = flagLen;
    }

    /**
     * 是否结算(0 ,未结算 1已结算)
     * @return value
     */
    public String getWindUpFlag() {
        return windUpFlag;
    }

    /**
     * 是否结算(0 ,未结算 1已结算)
     * @param windUpFlag value
     */
    public void setWindUpFlag(String windUpFlag) {
        this.windUpFlag = windUpFlag;
    }

    /**
     * 提单是否锁定(0 未锁定 1已锁定)
     * @return value
     */
    public String getLockBillFlag() {
        return lockBillFlag;
    }

    /**
     * 提单是否锁定(0 未锁定 1已锁定)
     * @param lockBillFlag value
     */
    public void setLockBillFlag(String lockBillFlag) {
        this.lockBillFlag = lockBillFlag;
    }

    /**
     * 制造商代码
     * @return value
     */
    public String getSupplyUnit() {
        return supplyUnit;
    }

    /**
     * 制造商代码
     * @param supplyUnit value
     */
    public void setSupplyUnit(String supplyUnit) {
        this.supplyUnit = supplyUnit;
    }

    /**
     * 制造商名称
     * @return value
     */
    public String getSupplyUnitDesc() {
        return supplyUnitDesc;
    }

    /**
     * 制造商名称
     * @param supplyUnitDesc value
     */
    public void setSupplyUnitDesc(String supplyUnitDesc) {
        this.supplyUnitDesc = supplyUnitDesc;
    }
}